package ru.dbotthepony.mc.otm.client.render

import net.minecraft.resources.ResourceLocation
import ru.dbotthepony.mc.otm.OverdriveThatMatters

object ResearchIcons {
	val ICON_TRANSFER: AbstractSkinElement
	val ICON_ATTACK_BOOST: AbstractSkinElement
	val ICON_PLASMA_SHIELD_BOOST: AbstractSkinElement
	val ICON_CLOAK: AbstractSkinElement
	val ICON_GRAVITATIONAL_STABILIZER: AbstractSkinElement
	val ICON_AIR_BAGS: AbstractSkinElement
	val ICON_JUMP_BOOST: AbstractSkinElement

	val ICON_FEATHER_FALLING: AbstractSkinElement
	val ICON_ITEM_MAGNET: AbstractSkinElement
	val ICON_ARROW: AbstractSkinElement
	val ICON_ARMOR: AbstractSkinElement
	val ICON_NANOBOTS: AbstractSkinElement
	val ICON_NIGHT_VISION: AbstractSkinElement
	val ICON_OXYGEN_SUPPLY: AbstractSkinElement

	val ICON_PLASMA_SHIELD: AbstractSkinElement
	val ICON_SHOCKWAVE: AbstractSkinElement
	val ICON_LIMB_OVERCLOCKING: AbstractSkinElement
	val ICON_STEP_ASSIST: AbstractSkinElement
	val ICON_ENDER_TELEPORT: AbstractSkinElement
	val ICON_WIRELESS_CHARGING: AbstractSkinElement
	val ICON_UNKNOWN: AbstractSkinElement

	val ICON_EXTENDED_REACH: AbstractSkinElement
	val ICON_PHANTOM_ATTRACTOR: AbstractSkinElement

	val KOT = ResourceLocation(OverdriveThatMatters.MOD_ID,  "textures/block/ph_kitty.png").element(0f, 0f, 32f, 32f, 32f, 32f)

	init {
		val grid = SubSkinGrid(AtlasSkinElement(ResourceLocation(OverdriveThatMatters.MOD_ID, "android_upgrades"), 126f, 126f), 18f, 18f, 7, 7)

		ICON_TRANSFER = grid.next()
		ICON_ATTACK_BOOST = grid.next()
		ICON_PLASMA_SHIELD_BOOST = grid.next()
		ICON_CLOAK = grid.next()
		ICON_GRAVITATIONAL_STABILIZER = grid.next()
		ICON_AIR_BAGS = grid.next()
		ICON_JUMP_BOOST = grid.next()
		ICON_FEATHER_FALLING = grid.next()
		ICON_ITEM_MAGNET = grid.next()
		ICON_ARROW = grid.next()
		ICON_ARMOR = grid.next()
		ICON_NANOBOTS = grid.next()
		ICON_NIGHT_VISION = grid.next()
		ICON_OXYGEN_SUPPLY = grid.next()
		ICON_PLASMA_SHIELD = grid.next()
		ICON_SHOCKWAVE = grid.next()
		ICON_LIMB_OVERCLOCKING = grid.next()
		ICON_STEP_ASSIST = grid.next()
		ICON_ENDER_TELEPORT = grid.next()
		ICON_WIRELESS_CHARGING = grid.next()
		ICON_UNKNOWN = grid.next()
		ICON_EXTENDED_REACH = grid.next()
		ICON_PHANTOM_ATTRACTOR = grid.next()
	}
}
